---
title: B2B Overview
excerpt: An overview of Workarea B2B functionality
---

# B2B Overview

Workarea offers a suite of B2B features to allow retailers to operate a B2B
Storefront. These features are packaged as a set of plugins as part of the
Workarea Commerce Cloud. See [workarea.com](https://www.workarea.com) for more
info.

Each plugin includes a readme which details the specific features and
functionality it provides.

* [B2B](https://stash.tools.weblinc.com/projects/WL/repos/workarea-b2b/browse)
* [Quotes](https://stash.tools.weblinc.com/projects/WL/repos/workarea-quotes/browse)
* [Variant List](https://stash.tools.weblinc.com/projects/WL/repos/workarea-variant-list/browse)
* [Quick Order](https://stash.tools.weblinc.com/projects/WL/repos/workarea-quick-order/browse)
* [Clifton Theme](https://stash.tools.weblinc.com/projects/WL/repos/workarea-clifton-theme/browse)

## B2B Feature Summary

* Organizations, Accounts, and Memberships for customers.
* Account configuration - payment terms, price lists, credit limits, and order
  restrictions.
* Membership roles - Administrator, Approver, and Shopper.
* Admin management of account credit limits and balances.
* Storefront organization account pages for customers to view and manage their
  accounts
* Account customer checkout with configurable address and payment options.
* Configurable order approvals.
* Custom price lists.
* Reorder items from order history.

## Quotes Feature Summary

* Quote request submission at the payment step of checkout.
* Customer quote management from the account page.
* Copy quote item and order details to a new cart.
* Admin management of quotes.
* B2B support - enabling organization account-based quotes and customer
  management of quotes through their organization account pages

## Variant List Feature Summary

* A new product template designed for products with many variants.
* Allow shoppers to add multiple variants to a cart at one time.

## Quick Order Feature Summary

* Enable customers to quickly add items to their cart by entering a list of SKUs
  and quantities or uploading a file.

## Clifton Theme Feature Summary

* A B2B focused theme for the Workarea commerce platform.
* Designed with B2B in mind, supports the full B2B plugin suite.

## Demo site

The complete Workarea B2B suite is installed for demonstration purposes only at
<https://b2b.demo.workarea.com> - for admin access or a full guided demo of
Workarea B2B functionality please contact [Workarea support](https://workarea.support.com).
